<!-- show list of documents (posts) as thumbnail with summary info -->
<section flex
         layout="row"
         layout-wrap 
         layout-align="start none">
    <md-card ng-repeat="doc in documents" class="event-card"
             flex="auto" 
             flex-gt-sm="{{documents.length < 2 ? 100 : 50}}" 
             flex-gt-lg="{{documents.length < 3 ? (100 / documents.length) : 33}}" 
             layout-align-xs="center center">
        <!-- It is shown on small screens -->
        <div class="card-media" style="margin-top:20px;" hide show-xs>
            <a href="{{doc.content}}" ng-if="doc.content">
                <img ng-if="doc.thumbnail" class="event-thumbnail" 
                     ng-src="{{doc.thumbnail}}" 
                     alt="{{doc.title}}">
                <img ng-if="!doc.thumbnail" class="event-thumbnail"
                     ng-src="images/default-events.png" 
                     alt="{{doc.title}}">
            </a>
            <div ng-if="!doc.content">
                <img ng-if="doc.thumbnail" class="event-thumbnail" 
                     ng-src="{{doc.thumbnail}}" 
                     alt="{{doc.title}}">
                <img ng-if="!doc.thumbnail" class="event-thumbnail"
                     ng-src="images/default-events.png" 
                     alt="{{doc.title}}">
            </div>
        </div>
        <md-card-title>
            <md-card-title-media hide show-gt-xs>
                <div class="card-media">
                    <a href="{{doc.content}}" ng-if="doc.content">
                        <img ng-if="doc.thumbnail" class="event-thumbnail" 
                             ng-src="{{doc.thumbnail}}" 
                             alt="{{doc.title}}">
                        <img ng-if="!doc.thumbnail" class="event-thumbnail" 
                             ng-src="images/default-events.png"
                             alt="{{doc.title}}">
                    </a>
                    <div ng-if="!doc.content">
                        <img ng-if="doc.thumbnail" class="event-thumbnail" 
                             ng-src="{{doc.thumbnail}}" 
                             alt="{{doc.title}}">
                        <img ng-if="!doc.thumbnail" class="event-thumbnail" 
                             ng-src="images/default-events.png"
                             alt="{{doc.title}}">
                    </div>
                </div>
            </md-card-title-media>
            <md-card-title-text layout-padding>
                <a href="{{doc.content}}" class="no-link" ng-if="doc.content">
                    <h2 class="md-headline">{{doc.title}}</h2>
                </a>
                <h2 class="md-headline" ng-if="!doc.content">{{doc.title}}</h2>
                <p class="md-subhead" style="text-align: justify;">
                    {{doc.description}} 
                    <a ng-if="doc.content" href="{{doc.content}}" translate>event:read more</a>
                </p>
            </md-card-title-text>
        </md-card-title>
    </md-card>
    <div ng-if="working" 
         layout="column" 
         layout-align="center center" flex="100">
        <md-progress-circular md-mode="indeterminate"></md-progress-circular>
        <h4 translate>{{'loading ...'}}</h4>
    </div>
</section>